﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using APlan.Service;
using System.ComponentModel;
using System.Windows.Media;
using GalaSoft.MvvmLight;

namespace APlan.ViewModel
{
    /// <summary>
    /// ViewModle for User information
    /// </summary>
    public class UserViewModel : ViewModelBase 
    {
        private MainViewModel src;
        private String _user, _name;
        private int _inactiveMinutes;
        public UserViewModel(MainViewModel m)
        {
            src = m;
        }

        public String User
        {
            set
            {
                _user = value;
                RaisePropertyChanged("User");
            }
            get
            {
                return _user;
            }
        }

        public String Name
        {
            set
            {
                _name = value;
                RaisePropertyChanged("Name");
            }
            get
            {
                return _name;
            }
        }
        public int InactiveMinutes
        {
            set
            {
                _inactiveMinutes = value;
                RaisePropertyChanged("InactiveMinutes");
            }
            get
            {
                return _inactiveMinutes;
            }
        }

    }
}
