﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using APlan.Service;
using APlan;
namespace APlan.Server
{
    class Program
    {
        static void Main(string[] args)
        {
            ServiceHost host = new ServiceHost(typeof(APlan.Service.APlanService));
            NetTcpBinding bind = new NetTcpBinding();
            bind.Security.Transport.ClientCredentialType = TcpClientCredentialType.Windows;
            /*
            bind.SendTimeout = new TimeSpan(0, 20, 0);
            bind.MaxBufferSize = 1000065536;
            bind.MaxReceivedMessageSize = 1000065536;
            bind.CloseTimeout = new TimeSpan(0, 20, 0);
             * */
            host.AddServiceEndpoint(typeof(IAPlanService), bind, "net.tcp://localhost:9000/srv");
            
            host.Open();
            APlanService s = new APlanService();

            /* only for test*/
            /*
            DataClassesDataContext context = new DataClassesDataContext();

            CustIBaseView cust = (from c in context.CustIBaseViews
                       where c.Nr == 263154
                       select c).Single();

            s.CreateAssignment(cust, new DateTime(2010, 10, 22), new DateTime(2010, 10, 22),
                               new TimeSpan(7, 0, 0), new TimeSpan(16, 0, 0));
            cust = (from c in context.CustIBaseViews
                    where c.Nr == 203004
                    select c).Single();
            s.CreateAssignment(cust, new DateTime(2010, 10, 22), new DateTime(2010, 10, 22),
                               new TimeSpan(7, 0, 0), new TimeSpan(16, 0, 0));             
             * */
            /*
            HeatMapViewModel[] m = s.GetOpenCustomers();
            HeatMapViewModel[] h = new HeatMapViewModel[1];
            h[0] = m[0];
            s.CreateRoutePlan(h, DateTime.Now, new TimeSpan(7,0,0), new TimeSpan(19,0,0));
            */
            Console.ReadLine();
            host.Close();
        }
    }
}
